## fish 2.2.0

=== debian/changelog ===
fish (2.2.0-3) unstable; urgency=medium

  * Backport upstream patch for history permissions handling
    (closes: #804092).

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 16 Dec 2015 18:00:12 +0200

fish (2.2.0-2) unstable; urgency=medium

  * Fix botched maintainer scripts, and simplify by using .maintscript
    files; this restores the add-shell/remove-shell functionality so fish
    should once again be added to /etc/shells (closes: #793822).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 02 Aug 2015 09:23:53 +0200

fish (2.2.0-1) unstable; urgency=medium

  * Add Pre-Depends for dpkg-maintscript-helper symlink_to_dir command
    (closes: #792658).
  * New upstream release.
    - fishd has been removed upstream (closes: #788056).
    - Deprecated GREP_* environment variables are no longer used
      (closes: #791686).
    - jQuery is no longer included in the upstream tarball, so no need to
      repack (Angular is used in its place, but it is an unminified copy).
    - sys_errlist is no longer used if unavailable (closes: #771052).
    - Refresh patches to apply cleanly again.
  * Apply patch from Chris Lamb to avoid locale-specific ordering
    (closes: #791648).

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 18 Jul 2015 21:53:03 +0200

fish (2.1.2+dfsg1-2) unstable; urgency=medium

  * libjs-jquery dependency belongs more properly in fish-common.
  * Fix replacement of /usr/doc symlinks with real directories
    (closes: #788162).

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 09 Jun 2015 08:51:44 +0200

fish (2.1.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Normalized versioning scheme.
  * Update debian/copyright, and switch to machine-readable format.
    - Files-Excluded is now used for rebuilding the upstream tarball.
  * Remove obsolete Suggests: menu (closes: #647367).

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 29 Apr 2015 18:59:59 +0200

fish (2.1.1.dfsg-3) unstable; urgency=low

  * Adopting, set myself as maintainer (closes: #771785).
  * Switch to dh sequencer (closes: #770973).
  * Various general package cleanups / fixes.
    - Bump Standards-Version.
    - Update debian/watch.
    - Update Vcs-* fields.
  * Add Python to Recommends as various helper tools require it.
    - Also update the scripts to use system Python instead of env.
  * Move arch-indep files to fish-common package.
  * Allow parallel building in debian/rules.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 13 Dec 2014 03:56:19 +0200

fish (2.1.1.dfsg-2) unstable; urgency=medium

  * Orphaning.

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 01 Dec 2014 14:15:32 -0200

fish (2.1.1.dfsg-1) unstable; urgency=medium

  * Remove jQuery file from upstream tarball

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 26 Nov 2014 20:13:12 -0200

fish (2.1.1-1) unstable; urgency=medium

  * New upstream release
  - includes fixes for the following security issues (Closes: #746259):
    + CVE-2014-2905
    + CVE-2014-2906
    + CVE-2014-2914
    + CVE-2014-3219
    + CVE-2014-3856

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 24 Nov 2014 14:09:15 -0200

fish (2.1.0-1) unstable; urgency=medium

  * New upstream release
  - tarball mangled to not include minified jQuery (Closes: #744696)
  * debian/control, debian/fish.links:
  - depend on libjs-jquery
  - link the minified jquery to where the original minified jQuery
    got installed to
  * debian/patches/01_fix-doc-typo.patch:
  - removed, applied upstream

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 10 May 2014 11:11:39 -0300

fish (2.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/patches/01_fix-doc-typo.patch:
  - removed; applied upstream
  * debian/rules:
  - README is now README.md

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 11 Jul 2013 23:36:28 -0300

fish (1.23.1+20120106.git8b407a3-1) unstable; urgency=low

  * New upstream snapshot
  - No longer able to reproduce crash when calling funcsave with no
    arguments (Closes: #547781)
  - No longer able to reproduce schroot being STOPed when quitting it
    from a in-chroot fish shell (Closes: #517099)
  * Fix home page URL. Thanks to Patrik Lembke <blambi@chebab.com> for
    noticing and letting me know. (Closes: #653246)
  * debian/patches/fixes/fish_greeting.diff,
    debian/patches/fixes/spelling.diff:
  - removed; applied upstream
  * debian/control, debian/rules:
  - call autoreconf to generate the configure script, and Makefile.in
    files
  * debian/rules:
  - ChangeLog does not exist anymore
  * debian/patches/01_fix-doc-typo.patch:
  - Fix documentation typo, thanks weakish <weakish@gmail.com>
    for noticing and letting us know (Closes: #613975)

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 08 Jan 2012 18:32:48 -0200

fish (1.23.1-2) unstable; urgency=low

  * New maintainer (Closes: #518793)

  [ Adrien <alfredp@laposte.net> ]
  * debian/patches/features/000_apt-cache-completion.patch:
  - add apt-cache completion support (Closes: #518512)

  [ Gustavo Noronha Silva ]
  * debian/control:
  - updated Standards-Version with no changes
  - change fish-dbg's section to debug

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 12 Apr 2009 21:39:33 -0300

fish (1.23.1-1) unstable; urgency=low

  * Orphaning the packages.  Maintainer set to QA group.
  * New upstream release
    - Fix cd function to handle empty variables correctly. (Closes: #517106)
    - Pressing Control-C (or otherwise changeing the command line content
      through the commandline builtin) should clear the search buffer.
      (Closes: #517104)
  * Remove fixes/mimedb-hang.diff, merged upstream.
  * Remove features/ssh-host-completion, merged upstream.
  * Refresh fixes/spelling and fixes/fish_greeting.
  * debian/rules:
    - Remove config.* in clean and copy the system files in configure-stamp.
    - Specify --docdir when calling configure so documentation is installed to
      the proper directory.


