=== debian/control ===
Source: fish
Section: shells
Priority: optional
Maintainer: Tristan Seligmann <mithrandi@debian.org>
Build-Depends: autoconf,
 automake,
 debhelper (>= 9),
 libncurses5-dev,
 bsdmainutils,
 bc,
 autotools-dev,
 gettext,
 groff-base,
 doxygen,
 quilt,
 dh-autoreconf,
Standards-Version: 3.9.6
Homepage: http://fishshell.com/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fish.git
Vcs-Git: git://anonscm.debian.org/collab-maint/fish

Package: fish
Architecture: any
Depends: fish-common (= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
 bc,
 lynx | www-browser,
Recommends: xsel
Suggests: doc-base
Pre-Depends: dpkg (>= 1.17.14)
Description: friendly interactive shell
 Fish is a shell geared towards interactive use.  Its features are focused on
 user friendliness and discoverability.  The language syntax is simple but
 incompatible with other shell languages.

Package: fish-common
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Recommends: fish, python (>= 2.7)
Replaces: fish (<= 2.1.1.dfsg-2)
Description: friendly interactive shell (architecture-independent files)
 Fish is a shell geared towards interactive use.  Its features are focused on
 user friendliness and discoverability.  The language syntax is simple but
 incompatible with other shell languages.
 .
 This package contains the common fish files shared by all architectures.

Package: fish-dbg
Section: debug
Architecture: any
Priority: extra
Depends: fish (= ${binary:Version}), ${misc:Depends}
Pre-Depends: dpkg (>= 1.17.14)
Description: friendly interactive shell (debugging symbols)
 Fish is a shell geared towards interactive use.  Its features are focused on
 user friendliness and discoverability.  The language syntax is simple but
 incompatible with other shell languages.
 .
 This package contains gdb debugging symbols for the fish package.
