=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with autotools-dev,autoreconf --parallel

override_dh_strip:
	dh_strip --dbg-package=fish-dbg

# Don't run tests; they don't work until fish is installed
override_dh_auto_test:

# The upstream CHANGELOG file is useless, don't install it
override_dh_installchangelogs:
	dh_installchangelogs -XCHANGELOG
