## fish 2.3.0

=== debian/changelog ===
fish (2.3.0-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Drop history-permissions-871a208.patch (was taken from upstream).
  * Bump Standards-Version to 3.9.8 (no changes).
  * Update Vcs-* to use https.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 22 May 2016 09:53:18 +0200
