## fish 2.3.1

=== debian/changelog ===
fish (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch debian/watch over to GitHub and check PGP signature
    (closes: #829760).

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 07 Jul 2016 03:34:20 +0200
