## fish 2.4.0

=== debian/changelog ===
fish (2.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 11 Dec 2016 04:26:38 +0200
