=== debian/control ===
--- 
+++ 
@@ -2,30 +2,33 @@
 Section: shells
 Priority: optional
 Maintainer: Tristan Seligmann <mithrandi@debian.org>
-Build-Depends: autoconf,
+Build-Depends:
+ autoconf,
  automake,
+ autotools-dev,
+ bc,
+ bsdmainutils,
  debhelper (>= 9),
- libncurses5-dev,
- bsdmainutils,
- bc,
- autotools-dev,
+ dh-autoreconf,
+ doxygen,
  gettext,
  groff-base,
- doxygen,
+ libncurses5-dev,
+ libpcre2-dev,
  quilt,
- dh-autoreconf,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://fishshell.com/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fish.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/fish
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/fish.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/fish.git
 
 Package: fish
 Architecture: any
-Depends: fish-common (= ${source:Version}),
+Depends:
+ bc,
+ fish-common (= ${source:Version}),
+ lynx | www-browser,
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- bc,
- lynx | www-browser,
 Recommends: xsel
 Suggests: doc-base
 Pre-Depends: dpkg (>= 1.17.14)
@@ -36,8 +39,8 @@
 
 Package: fish-common
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery
-Recommends: fish, python (>= 2.7)
+Depends: libjs-jquery, ${misc:Depends}
+Recommends: fish, python
 Replaces: fish (<= 2.1.1.dfsg-2)
 Description: friendly interactive shell (architecture-independent files)
  Fish is a shell geared towards interactive use.  Its features are focused on
