=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,17 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+CFLAGS+=$(CPPFLAGS)
+CXXFLAGS+=$(CPPFLAGS)
+
 %:
 	dh $@ --with autotools-dev,autoreconf --parallel
+
+override_dh_auto_configure:
+	dh_auto_configure -- --without-included-pcre2
 
 override_dh_strip:
 	dh_strip --dbg-package=fish-dbg
