## fish 2.6.0

=== debian/changelog ===
fish (2.6.0-1) unstable; urgency=medium

  * New upstream release.
    - ifconfig completion no longer changes cwd (closes: #859314).
    - Refresh quilt patches.
  * Depend on man-db as the completion system uses apropos
    (closes: #857630).
  * Drop fish-dbg and migrate to automatic -dbgsym packages.
  * Bump Standards-Version to 4.0.0 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 14 Jul 2017 08:12:37 +0200
