=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libncurses5-dev,
  libpcre2-dev,
  quilt,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://fishshell.com/
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/fish.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/fish.git
@@ -27,6 +27,7 @@
  bc,
  fish-common (= ${source:Version}),
  lynx | www-browser,
+ man-db,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends: xsel
@@ -48,16 +49,3 @@
  incompatible with other shell languages.
  .
  This package contains the common fish files shared by all architectures.
-
-Package: fish-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: fish (= ${binary:Version}), ${misc:Depends}
-Pre-Depends: dpkg (>= 1.17.14)
-Description: friendly interactive shell (debugging symbols)
- Fish is a shell geared towards interactive use.  Its features are focused on
- user friendliness and discoverability.  The language syntax is simple but
- incompatible with other shell languages.
- .
- This package contains gdb debugging symbols for the fish package.
