=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh_auto_configure -- --without-included-pcre2
 
 override_dh_strip:
-	dh_strip --dbg-package=fish-dbg
+	dh_strip --dbgsym-migration='fish-dbg (<< 2.4.0-1~)'
 
 # Don't run tests; they don't work until fish is installed
 override_dh_auto_test:
