## fish 2.6.0-553-g1590bd15

=== debian/changelog ===
fish (2.6.0-553-g1590bd15-1~unstable) unstable; urgency=medium

  * Snapshot build from 1590bd15

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Fri, 25 Aug 2017 10:00:19 +0800

fish (2.2b1-1) testing; urgency=low

  * Release of new beta version 2.2b1.

  See http://fishshell.com/staging/release_notes.html for significant
  changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Thu, 07 May 2015 14:48:21 +0800

fish (2.1.1-1) unstable; urgency=high

  * Release of new version 2.1.1.

    See http://fishshell.com/release_notes.html for significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sun, 07 Sep 2014 17:06:31 +0800

fish (2.1.0-1) unstable; urgency=low

  * Release of new version 2.1.0.

    See http://fishshell.com/staging/release_notes.html for significant
    changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sat, 19 Oct 2013 14:35:23 +0800

fish (2.0.0-0) unstable; urgency=low

  * Initial release of fish 2.0.0.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Thu, 19 Jul 2012 23:17:58 +0800
