=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with autotools-dev,autoreconf

override_dh_installdocs:
	dh_installdocs --link-doc=fish

# Still needed until all platforms have debhelper 9.20151219
# Consider transitioning https://wiki.debian.org/DebugPackage
override_dh_strip:
	dh_strip --dbg-package=fish-dbg

# Don't run tests; they don't work until fish is installed
override_dh_auto_test:
