## fish 2.7.1

=== debian/changelog ===
fish (2.7.1-3~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert to debhelper 10 to ease backports.
  * Disable big automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 17 Oct 2018 12:57:55 -0700

fish (2.7.1-3) unstable; urgency=medium

  * Disable the test suite again until the failures are resolved.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 17 Feb 2018 03:19:00 +0200

fish (2.7.1-2) unstable; urgency=medium

  * Replace $(PWD) with $(CURDIR) in Makefile.am (closes: #887524)
    (hopefully!)

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 17 Jan 2018 20:06:59 +0200

fish (2.7.1-1) unstable; urgency=medium

  * Move to salsa.debian.org.
  * New upstream release.
  * Bump Standards-Version to 4.1.3 (no changes).
  * Update to dh compat 11.
  * Fix maintscript syntax.
  * Run test suite.
  * Add autopkgtests.
  * Drop pointless Recommends: python in fish-common.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 11 Jan 2018 06:55:29 +0200

fish (2.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/reproducible-doc-toc (equivalent changes included
    upstream).
  * Depend on python3 for completions support (closes: #882996).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 17 Dec 2017 11:55:59 +0200

fish (2.6.0-2) unstable; urgency=medium

  * Drop patches/reproducible-doxyfile as this is no longer needed (and
    also wrong, as it was was refreshed incorrectly at some point).
  * Show commands run during the build (closes: #881251); thanks to Sven
    Joachim for the patch.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 13 Nov 2017 06:14:48 +0200
