=== debian/control ===
Source: fish
Section: shells
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Tristan Seligmann <mithrandi@debian.org>
Build-Depends:
 autoconf,
 automake,
 bc,
 bsdmainutils,
 debhelper (>= 10),
 doxygen,
 expect,
 gettext,
 groff-base,
 libncurses5-dev,
 libpcre2-dev,
 locales-all,
 procps,
 quilt,
Standards-Version: 4.1.3
Homepage: http://fishshell.com/
Vcs-Browser: https://salsa.debian.org/debian/fish.git
Vcs-Git: https://salsa.debian.org/debian/fish.git

Package: fish
Architecture: any
Depends:
 bc,
 fish-common (= ${source:Version}),
 lynx | www-browser,
 man-db,
 python3,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: xsel
Suggests: doc-base
Pre-Depends: dpkg (>= 1.17.14)
Description: friendly interactive shell
 Fish is a shell geared towards interactive use.  Its features are focused on
 user friendliness and discoverability.  The language syntax is simple but
 incompatible with other shell languages.

Package: fish-common
Architecture: all
Depends: libjs-jquery, ${misc:Depends}
Recommends: fish
Replaces: fish (<= 2.1.1.dfsg-2)
Description: friendly interactive shell (architecture-independent files)
 Fish is a shell geared towards interactive use.  Its features are focused on
 user friendliness and discoverability.  The language syntax is simple but
 incompatible with other shell languages.
 .
 This package contains the common fish files shared by all architectures.
