=== pcre2-10.22/CMakeLists.txt ===
--- 
+++ 
@@ -190,7 +190,7 @@
 ENDIF(MINGW)
 
 IF(MSVC)
-  OPTION(PCRE_STATIC_RUNTIME OFF CACHE BOOL
+  OPTION(PCRE_STATIC_RUNTIME
 	"ON=Compile against the static runtime (/MT)."
 	OFF)
   OPTION(INSTALL_MSVC_PDB
@@ -302,3 +302,4 @@
 # libedit is a plug-compatible alternative to libreadline
 
 IF(PCRE2_SUPPORT_LIBEDIT)
+        SET(SUPPORT_LIBEDIT 1)
