=== debian/changelog ===
fish (3.0.2-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 20 May 2019 06:43:18 +0000

fish (3.0.2-2) unstable; urgency=medium

  * Discard stderr message from systemd 241 when doing completion.
    (Closes: #925308)

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 26 Mar 2019 13:16:52 +0000

fish (3.0.2-1) unstable; urgency=medium

  * New upstream version 3.0.2

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 23 Feb 2019 01:04:26 +0000

fish (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1
  * Remove the differential patch between 3.0.0 and 3.0.1(snapshot).

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 11 Feb 2019 16:38:38 +0000

fish (3.0.0-2) unstable; urgency=medium

  * Import increment patch from 3.0.0 to 3.0.1~git.c9e5299.
  * Remove duplicated changelog file.
  * Update lintian overrides.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 07 Feb 2019 02:02:53 +0000

fish (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0
  * ITS: Append myself to Uploaders. (Closes: #918476)
  * Remove --parallel from rules since it's the default for compat 11.
  * Refresh existing patches.
  * Move upstream README.md from fish-common to fish.
  * Remove the installchangelog override and install changelog.
  * Bump Standards-Version to 4.3.0 (no change).
  * Use canonical URL in Vcs-Browser field.
  * Remove dh_strip override since debug-symbol-migration is complete.
  * NEWS: fish 3 introduced some breaking change.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 09 Jan 2019 02:55:53 +0000
