=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

export TERM=xterm
export LC_ALL=C.UTF-8

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --without-included-pcre2

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_test:
# Test suite is not passing on 32-bit arches.
#	dh_auto_test --no-parallel

override_dh_auto_install:
	dh_auto_install
	-find debian/tmp -type f -name CHANGELOG.md -delete
